Subject: bug#8102: [head] do not return EXIT_SUCCESS upon premature EOF

From: "Voelker, Bernhard" <[email-masked]>
Date: Mon, 28 Feb 2011 07:58:32 +0100

Bjartur Thorlacius wrote:

> The only way I can imagine scripts braking due to head returning
> non-zero upon premature EOF are scripts that consider every non-zero
> exit fatal, but don't know many lines their input is. How many can
> they be?

well, head also returns !=0 e.g. if the file doesn't exist. Therefore,
if a script relies on this, it would fail in the future if head's
behaviour was changed.

Have a nice day,
Berny